MSGEXEC(1)

NUME
msgexec - procesează traducerile catalogului de mesaje

SINOPSIS
msgexec [OPȚIUNE] COMANDA [OPȚIUNEA-COMENZII]

DESCRIERE

Aplică o comandă tuturor traducerilor unui catalog de traduceri. COMANDA poate fi orice program care citește o traducere de la intrarea standard. Se invocă o dată pentru fiecare traducere. Ieșirea sa devine ieșirea lui «msgexec». Codul de returnare al lui «msgexec», corespunde codului de returnare cu valoarea maximă de la toate invocările.

O comandă internă specială numită „0” trimite la ieșire traducerea, urmată de un octet null. Rezultatul lui «msgexec 0» se poate utiliza ca intrare pentru «xargs - 0».

  Intrare de comandă:

--newline
    adaugă o linie nouă la sfârșitul intrării

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

  Locație fișier de intrare:

-i, --input=FIȘIER_INTRARE
    fișier PO de intrare

-D, --directory=DIRECTOR
    adaugă DIRECTOR la listă pentru căutarea fișierelor de intrare

Dacă nu este dat nici un fișier de intrare sau dacă este „-”, se va citi intrarea standard.

  Sintaxă fișier de intrare:

-P, --properties-input
    fișierul de intrare este în sintaxa Java .properties

--stringtable-input
    fișierul de intrare este în sintaxa NeXTstep/GNUstep .strings

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Bruno Haible.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 2001-2024 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru msgexec este menținută ca un manual Texinfo. Dacă programele info(1) și msgexec sunt instalate corect pe sistemul dumneavoastră, comanda

    info msgexec

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.